Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Nicolas Petton <[email-masked]>
Date: Thu, 23 Apr 2015 02:23:35 +0200

Paul Eggert writes:

> Drew Adams wrote:
>> If Emacs at some point decides to switch to another code-quoting
>> mechanism, that's one thing.  But what it definitely should NOT do,
>> IMO, is to lose code quoting
>
> Yes, that makes sense.  The latest iteration of the proposal does that, by 
> suggesting that doc strings use curved single quotes ‘like-this’ to quote code. 
>   This mechanism is already used in the Emacs 24.5 info files, and it works well 
> there.

I don't understand how this would better than using backquotes
`like-this` (or even simply keeping it `like-this'):

- Isn't the curved single quote character *really* hard to type? (I
  don't think I even know how to type it on my keyboard).

- Also, aren't curved single quotes only used to display code quotation
  in compiled info files, not in .texinfo sources (by this I mean that
  nobody actually has to type curved quotes)?

Nico